package com.zcloud.primeport.domain.enums;

import lombok.Getter;

@Getter
public enum SaveTypeEnum {
    SAVE_TYPE1(1,"无论检测结果如何，保留图片"),
    SAVE_TYPE2(2,"无论检测结果如何，删除oss图片"),
    SAVE_TYPE3(3,"检测通过保留，否则删除")
    ;
    private Integer code;
    private String typeName;

    SaveTypeEnum(Integer code, String typeName) {
        this.code = code;
        this.typeName = typeName;
    }

    public SaveTypeEnum setCode(Integer code) {
        this.code = code;
        return this;
    }

    public SaveTypeEnum setTypeName(String typeName) {
        this.typeName = typeName;
        return this;
    }
}
